Subject: Re: [PATCH 01/15] i2c/powermac: Register i2c devices from device-tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 18 Jun 2012 11:27:10 +1000

On Sun, 2012-06-10 at 17:23 +1000, Benjamin Herrenschmidt wrote:

> Ah, excellent, so a small quirk in i2c_powermac is the way to go then,
> we can detect it by name and hack up something. Either that or even
> better, in prom_init, we could add the missing property to the
> device-tree.
> 
> Any chance you can try that ? (Look at other examples of DT fixups in
> prom_init.c and don't forget the RELOC() around strings :-)

Ok, don't bother. I've been looking into it more closely and I think
the best solution here is actually self contained in i2c-powermac.

I found a couple more device-tree oddities in older machines that
I'm adding workarounds for as well. I'll send a couple of patches
later today including your original one.

Cheers,
Ben.